%           1     2     3     4     5     6      7     8       9
filters={'klms','klm','ekf','ukf','dd1','dd2','lrkf','skfp','skfb'};
gdata=1;
wdir='systems/sys1u';
maddpath(wdir);

Ns=10;
if gdata,
 ut=sqwave(Ns,200)';
 [yt,xt]=klmsim(ut);
 t=1:length(yt); t=t-min(t);
 yt(3)=NaN;
 plot(t,yt,'r*',t,xt,'b'); grid;
 drawnow;
 prnt(0)
end

for pred=0:1,
 for ik=1:9,
  ftype=filters{ik};
  [xht,St,yht,rest,Rt]=offline(ftype,pred,yt,ut);

  for i=1:size(xt,1),
   % figure(i);
   % plot(t,xt(i,:)-xht(i,:),'r',t,[2.5*St(i,:)' -2.5*St(i,:)'],'b');
   plot(t,xt(i,:),'b',t,xht(i,:),'r',...
    t,xht(i,:)+2.5*St(i,:),'g',...
    t,xht(i,:)-2.5*St(i,:),'g');
   % axis([0 1000 -1 1]);
   grid;
   drawnow;
   prnt(2);
   % disp('Hit a key'); pause
  end;

 end
end
% rmpath(wdir)
