function [r]=msqrt(p,mode)
% Usage: r=msqrt(p,[mode])
%
% set r to the square root of p ie. p=r*r'

if nargin==1,
 mode=2;
end;
n=length(p);

if mode==1,
 [u,s]=svd(p);
%  h=sign(diag(u))
%  for i=1:n, u(:,i)=h(i)*u(:,i); end;
 r=u*sqrt(s);
elseif mode==2,
 [v,d] = eig(p);
%  h=sign(diag(v));
%  for i=1:n, v(:,i)=h(i)*v(:,i); end;
 r=v*sqrt(d);
end

